IFMCSTAT(8)

NAME
ifmcstat - dump multicast group management statistics per interface

SYNOPSIS
ifmcstat [-i interface] [-f address-family] [-v] [-K] [-M core] [-N system]

DESCRIPTION
The ifmcstat command dumps multicast group information from the kernel.

The following options are supported:

-i interface
    specifies the interface to be displayed.

-f address-family
    specifies the address family to be displayed; inet, inet6 and link are supported.

-v  specifies that link-layer memberships should be printed; they are suppressed by default. It may not be specified for -f link. Source lists for each group will also be printed.

    If specified twice, and kvm(3) is in use, the control plane timers for each interface and the source list counters for each group will also be printed.

The following options are only available if ifmcstat has been built with support for kvm(3):

-K  attempts to use kvm(3) to retrieve the multicast group information.

-M core
    extracts values associated with the name list from the specified core, instead of the default /dev/kmem.

-N system
    extracts the name list from the specified kernel instead of the default, which is the kernel image the system has booted from.

IMPLEMENTATION NOTES
ifmcstat will always print the embedded scope IDs of IPv6 multicast group memberships. This is because memberships are always scoped to an interface.

When run with the -v option, ifmcstat may print multicast MAC addresses twice if they are referenced by a layer 3 protocol.

When run with kvm(3) support, the names of all interfaces configured in the system will be printed in the first column of output, even if no multicast group memberships are present on those interfaces. The output may also be slightly different, as the kernel data structures are being traversed with minimal post-processing of the output.

When built without kvm(3) support, the information displayed by ifmcstat is more limited. This support is recommended for debugging purposes. It requires super-user privilege if used to inspect a running kernel.

SEE ALSO
netstat(1), getifaddrs(3), getifmaddrs(3), kvm(3)